librelist archives

« back to archive

Trying to send a mass mail to all accepted speaker and I keep having issue

Trying to send a mass mail to all accepted speaker and I keep having issue

From:
Hugo Fortier
Date:
2014-05-11 @ 18:47
Hi,

I am the organizer of Recon (https://recon.cx). I used frab(I switched
from pentabarf a while back), but I always have bug with it.

I am trying to send a mass mail to everyone with a accepted status, what
is the proper way to do it? I did it last year, but the code have
changed... Can I remove the ri_cal dependance without breaking everything?

I can't find the interface on the web part.

I run on a February github version from the master branch.
Bug number one. commented the line
RAILS_ENV=production rake --tasks
rake aborted!
[redacted]/frab/config/application.rb:7: syntax error, unexpected ':',
expecting ')'
  Bundler.require *Rails.groups(assets: %w(development test))
                                       ^
[redacted]/frab/config/application.rb:7: syntax error, unexpected ')',
expecting kEND
[redacted]/frab/frab/config/application.rb:53: syntax error, unexpected
kDO_BLOCK, expecting kEND
[redacted]/frab/Rakefile:4
(See full trace by running task with --trace)

Bug number 2:
$ RAILS_ENV=production rake -v --task
Could not find ri_cal-0.8.8 in any of the sources
Try running `bundle install`.
$ gem install ri_cal
Successfully installed ri_cal-0.8.8
Parsing documentation for ri_cal-0.8.8
Done installing documentation for ri_cal after 0 seconds
1 gem installed
$ RAILS_ENV=production rake -v --task
Could not find ri_cal-0.8.8 in any of the sources
Try running `bundle install`.
$ gem list|grep ri_cal
ri_cal (0.8.8)

Thanks,

Hugo
On 2014-05-11, 1:42 PM, Hugo Fortier wrote:
> Hi,
> 
> I am the organizer of Recon (https://recon.cx). I used frab(I switched
> from pentabarf a while back), but I always have bug with it.
> 
> And I like talking to robot :)
> 
> Thanks,
> 
> Hugo
> On 2014-05-11, 1:39 PM,
> frab-confirm-a6755b1f3c2c482d9fe6dfeeececf870@librelist.com wrote:
>> Hi,
>>
>> You (or someone pretending to be you) has asked to subscribe to
>> frab, but before I can do that I need you to confirm that you
>> really want to do this.  I know, I know, you hate having to confirm
>> everything you do, but if I don't confirm your request, then someone who
>> hates you can forge your identity.
>>
>> We wouldn't want that now would we?  Good!
>>
>>
>> CONFIRM BY REPLYING
>>
>> If you really did mean frab, then reply to this message
>> and I'll do it right away.  I'll send you one more message telling you
>> when I'm done.
>>
>> Thank You,
>>
>>       librelist.com
>>
> 

Re: [frab] Trying to send a mass mail to all accepted speaker and I keep having issue

From:
David Roetzel
Date:
2014-05-12 @ 09:44
Hi Hugo,

> I am the organizer of Recon (https://recon.cx). I used frab(I switched
> from pentabarf a while back), but I always have bug with it.

first of all, thanks for reaching out! frab just like pentabarf before
it struggles with the fact that most users do not report back their
problems and feature wishlists. I really appreciate this kind of
participation.

> I am trying to send a mass mail to everyone with a accepted status, what
> is the proper way to do it? I did it last year, but the code have
> changed... 
> I can't find the interface on the web part.
>

It is currently not possible to send mass mailings via the web
interface. pentabarf had this feature, frab does not yet have it. There
is a rake task to automate mass mailings which might be sufficient for
you. Otherwise, there is already a ticket requesting a web interface
here: https://github.com/frab/frab/issues/92

Feel free to chime in and add your thoughts and requirements.
 
> I run on a February github version from the master branch.
> Bug number one. commented the line
> RAILS_ENV=production rake --tasks
> rake aborted!
> [redacted]/frab/config/application.rb:7: syntax error, unexpected ':',
> expecting ')'
>   Bundler.require *Rails.groups(assets: %w(development test))
>                                        ^

I am not sure about this, but this line uses syntax that was introduced
in ruby 1.9. Please note that frab requires at least ruby 1.9.3. Is it
possible that you ran the line above using an older version of ruby?

> Bug number 2:
> $ RAILS_ENV=production rake -v --task
> Could not find ri_cal-0.8.8 in any of the sources
> Try running `bundle install`.

Have you tried running `bundle install` as the error message suggested?
Bundler is the tool that helps installing all (ruby) dependencies and
keeping them in sync across different machines. It should take care of
all dependency-related issues.

> Can I remove the ri_cal dependance without breaking everything?

No, you cannot, as exporting to ical depends on this.

Kind regards

David